%{?mingw_package_header}

%global pkgname homography

Name:          mingw-python-%{pkgname}
Summary:       MinGW Windows Python %{pkgname} library
Version:       0.1.6
Release:       1%{?dist}
BuildArch:     noarch

License:       GPLv3
URL:           https://github.com/satellogic/%{pkgname}
Source0:       https://github.com/satellogic/%{pkgname}/archive/v%{version}/%{pkgname}-%{version}.tar.gz

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-python3
BuildRequires: mingw32-python3-setuptools

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-python3
BuildRequires: mingw64-python3-setuptools


%description
MinGW Windows Python %{pkgname} library.


%package -n mingw32-python3-%{pkgname}
Summary:       MinGW Windows Python3 %{pkgname} library

%description -n mingw32-python3-%{pkgname}
MinGW Windows Python3 %{pkgname} library.


%package -n mingw64-python3-%{pkgname}
Summary:       MinGW Windows Python3 %{pkgname} library

%description -n mingw64-python3-%{pkgname}
MinGW Windows Python3 %{pkgname} library.


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
%{mingw32_py3_build}
%{mingw64_py3_build}


%install
%{mingw32_py3_install}
%{mingw64_py3_install}


%files -n mingw32-python3-%{pkgname}
%license LICENSE
%{mingw32_python3_sitearch}/%{pkgname}.py
%{mingw32_python3_sitearch}/__pycache__/%{pkgname}*
%{mingw32_python3_sitearch}/%{pkgname}-%{version}-py%{mingw32_python3_version}.egg-info/

%files -n mingw64-python3-%{pkgname}
%license LICENSE
%{mingw64_python3_sitearch}/%{pkgname}.py
%{mingw64_python3_sitearch}/__pycache__/%{pkgname}*
%{mingw64_python3_sitearch}/%{pkgname}-%{version}-py%{mingw32_python3_version}.egg-info/


%changelog
* Mon Nov 09 2020 Sandro Mani <manisandro@gmail.com> - 0.1.6-1
- Update to 0.1.6

* Tue Jun 02 2020 Sandro Mani <manisandro@gmail.com> - 0.1.5-2
- Rebuild (python-3.9)

* Wed Oct 30 2019 Sandro Mani <manisandro@gmail.com> - 0.1.5-1
- Initial package
